#!/usr/bin/make -f
export PYBUILD_NAME=whoosh

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	LC_ALL=C PYTHONPATH=. sphinx-build -N -bhtml docs/source docs/build/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/build

override_dh_compress:
	dh_compress -Xdoc/python-whoosh/html
